"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SuperValidators = (function () {
    function SuperValidators() {
    }
    /**
     * Validator that requires controls to have a value greater than a number.
     */
    SuperValidators.min = function (min) {
        return function (control) {
            if (isEmptyInputValue(control.value) || isEmptyInputValue(min)) {
                return { 'min': min, 'actualValue': control.value };
            }
            var value = parseFloat(control.value);
            return !isNaN(value) && value < min ? { 'min': min, 'actualValue': control.value } : null;
        };
    };
    /**
     * Validator that requires controls to have a value less than a number.
     */
    SuperValidators.max = function (max) {
        return function (control) {
            if (isEmptyInputValue(control.value) || isEmptyInputValue(max)) {
                return { 'max': max, 'actualValue': control.value };
            }
            var value = parseFloat(control.value);
            return !isNaN(value) && value > max ? { 'max': max, 'actualValue': control.value } : null;
        };
    };
    return SuperValidators;
}());
exports.SuperValidators = SuperValidators;
function isEmptyInputValue(value) {
    // we don't check for string here so it also works with arrays
    return value == null || value.length === 0;
}
//# sourceMappingURL=validators.js.map